%define pyver %(python -c 'import sys ; print sys.version[:3]')
%define pynext %(python -c 'print %{pyver} + 0.1')

Name:          pyzor
Version:       0.4.0
Release:       0.fdr.5.rh80
Summary:       Pyzor collaborative spam filtering system

Group:         Applications/Internet
License:       GPL
URL:           http://pyzor.sourceforge.net/
Source0:       http://easynews.dl.sourceforge.net/sourceforge/pyzor/pyzor-0.4.0.tar.bz2
Source1:       http://easynews.dl.sourceforge.net/sourceforge/pyzor/pyzor-0.4.0.tar.bz2.asc
BuildRoot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:     noarch
BuildRequires: python >= 0:2.2.1
Requires:      python >= %{pyver}, python < %{pynext} 

%description
Pyzor is a collaborative, networked system to detect 
and block spam using identifying digests of messages. 
Pyzor is similar to Vipul's Razor except implemented 
in python, and using fully open source servers.

Pyzor can be used either standalone, or to augment the 
spam filtering ability of spamassassin.  spamassassin 
is highly recommended.

%prep
%setup -q 

%build
%__python setup.py build


%install
rm -rf $RPM_BUILD_ROOT
install -m755 -d $RPM_BUILD_ROOT%{_libdir}/python%{pyver}/site-packages/pyzor
install -p -m644 build/lib/pyzor/* $RPM_BUILD_ROOT%{_libdir}/python%{pyver}/site-packages/pyzor
install -m755 -d $RPM_BUILD_ROOT%{_bindir}
install -p -m755 build/scripts-%{pyver}/* $RPM_BUILD_ROOT%{_bindir}
%__python -c 'from compileall import *; compile_dir("'$RPM_BUILD_ROOT'/usr/lib/python%{pyver}",10,"'$RPM_BUILD_ROOT'/usr/lib/python%{pyver}")'
%__python -O -c 'from compileall import *; compile_dir("'$RPM_BUILD_ROOT'/usr/lib/python%{pyver}",10,"'$RPM_BUILD_ROOT'/usr/lib/python%{pyver}")'
chmod -R a+rX $RPM_BUILD_ROOT%{_libdir}/python%{pyver}/site-packages/pyzor $RPM_BUILD_ROOT%{_bindir}/pyzor* 

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%dir %{_libdir}/python%{pyver}/site-packages/pyzor
%doc docs/usage.html COPYING ChangeLog NEWS README THANKS UPGRADING PKG-INFO
%attr(0644,root,root)
%{_libdir}/python%{pyver}/site-packages/pyzor/client.py
%{_libdir}/python%{pyver}/site-packages/pyzor/client.pyc
%{_libdir}/python%{pyver}/site-packages/pyzor/client.pyo
%{_libdir}/python%{pyver}/site-packages/pyzor/server.py
%{_libdir}/python%{pyver}/site-packages/pyzor/server.pyc
%{_libdir}/python%{pyver}/site-packages/pyzor/server.pyo
%{_libdir}/python%{pyver}/site-packages/pyzor/__init__.py
%{_libdir}/python%{pyver}/site-packages/pyzor/__init__.pyc
%{_libdir}/python%{pyver}/site-packages/pyzor/__init__.pyo
%attr(0755,root,root)
%{_bindir}/pyzor
%{_bindir}/pyzord

%changelog
* Fri May 21 2004 Warren Togami <wtogami@redhat.com> - 0.4.0-0.fdr.5
- generalize python version

* Fri Jul 11 2003 Warren Togami <warren@togami.com> - 0.4.0-0.fdr.4
- Change to __python macro

* Fri Jun 27 2003 Warren Togami <warren@togami.com> - 0.4.0-0.fdr.3
- #360 add more docs

* Sat Jun 21 2003 Warren Togami <warren@togami.com> - 0.4.0-0.fdr.2
- Fix some directory macros
- #360 Include .pyc and .pyo so package removes cleanly
- #360 install -p preserve timestamps

* Sun Jun 08 2003 Warren Togami <warren@togami.com> - 0:0.4.0-0.fdr.1
- Convert to Fedora

* Fri Jan 31 2003 Shad L. Lords <slords@mail.com>
- 0.4.0-1
- inital release
